Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class JsfFlowHandlerAdapter

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.support.WebContentGenerator
                  org.springframework.webflow.mvc.servlet.FlowHandlerAdapter
                      org.springframework.faces.webflow.JsfFlowHandlerAdapter

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware, org.springframework.web.context.ServletContextAware, org.springframework.web.servlet.HandlerAdapter

    public class JsfFlowHandlerAdapter

extends FlowHandlerAdapter

An extension of `FlowHandlerAdapter` that replaces the default `AjaxHandler` instance with a `JsfAjaxHandler` assuming JSF 2 is the runtime environment.

Since:
  2.2.0
Author:
  Rossen Stoyanchev

Field Summary

Fields inherited from class org.springframework.web.servlet.support.WebContentGenerator
`METHOD_GET, METHOD_HEAD, METHOD_POST`

Constructor Summary
`JsfFlowHandlerAdapter()`

Method Summary
`void` | `afterPropertiesSet()`
`org.springframework.web.servlet.ModelAndView` | `handle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)`

Methods inherited from class org.springframework.webflow.mvc.servlet.FlowHandlerAdapter
`createServletExternalContext, defaultCreateFlowExecutionInputMap, defaultGetFlowId, defaultHandleException, defaultHandleExecutionOutcome, getAjaxHandler, getFlowExecutor, getFlowUrlHandler, getLastModified, getRedirectHttp10Compatible, sendRedirect, setAjaxHandler, setFlowExecutor, setFlowUrlHandler, setRedirectHttp10Compatible, supports`

Methods inherited from class org.springframework.web.servlet.support.WebContentGenerator
`applyCacheSeconds, applyCacheSeconds, cacheForSeconds, cacheForSeconds, checkAndPrepare, checkAndPrepare, getCacheSeconds, getSupportedMethods, isAlwaysMustRevalidate, isRequireSession, isUseCacheControlHeader, isUseCacheControlNoStore, isUseExpiresHeader, preventCaching, setAlwaysMustRevalidate, setCacheSeconds, setRequireSession, setSupportedMethods, setUseCacheControlHeader, setUseCacheControlNoStore, setUseExpiresHeader`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, initApplicationContext, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsfFlowHandlerAdapter

    public JsfFlowHandlerAdapter()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.lang.Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Overrides:
    `afterPropertiesSet` in class `FlowHandlerAdapter`
  Throws:
    `java.lang.Exception`

### handle

    public org.springframework.web.servlet.ModelAndView handle(javax.servlet.http.HttpServletRequest request,
                                                               javax.servlet.http.HttpServletResponse response,
                                                               java.lang.Object handler)
                                                        throws java.lang.Exception

  Specified by:
    `handle` in interface `org.springframework.web.servlet.HandlerAdapter`
  Overrides:
    `handle` in class `FlowHandlerAdapter`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD